Fonts (JGoodies Looks 2.6 API)
Date: 2015-01-03

com.jgoodies.looks

## Class Fonts

- java.lang.Object
- - com.jgoodies.looks.Fonts

-     public final class Fonts
      extends Object

  Provides static access to popular Windows fonts. The sizes of the font constants are specified in typographic points, approximately 1/72 of an inch.

  TODO: Consider changing the visibility of the package private methods to public. As an alternative we may provide a FontPolicy that can emulate the font choice on Windows XP/2000 and Windows Vista for different software resolutions (96dpi/120dpi) and desktop font size settings (Normal/Large/Extra Large).

  Since:
    2.0
  Version:
    $Revision: 1.22 $
  Author:
    Karsten Lentzsch
  See Also:
    `FontSet`, `FontSets`, `FontPolicy`, `FontPolicies`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Font` | `SEGOE_UI_12PT` This is Segoe UI 9pt, the default font on western Vista with 96dpi.
    `static Font` | `SEGOE_UI_13PT` Ascent=14, descent=4, height=18, dbuX=8, dbuY=14, 13dluY=22.75px.
    `static Font` | `SEGOE_UI_15PT` Ascent=16, descent=5, height=21, dbuX=9, dbuY=16, 13dluY=26px.
    `static String` | `SEGOE_UI_NAME` The name of the default dialog font on western Windows Vista.
    `static Font` | `TAHOMA_11PT` This is the default font on western XP with 96dpi and normal fonts.
    `static Font` | `TAHOMA_13PT` Ascent=13, descent=3, height=16, dbuX=8, dbuY=13, 14dluY=22.75px.
    `static Font` | `TAHOMA_14PT` Ascent=14, descent=3, height=17, dbuX=8, dbuY=14, 14dluY=24.5px.
    `static String` | `TAHOMA_NAME` The name of the default dialog font on western Windows XP.
    `static Font` | `WINDOWS_VISTA_120DPI_NORMAL` The default icon font on western Windows Vista with 120dpi and the dialog font desktop setting "Normal".
    `static Font` | `WINDOWS_VISTA_96DPI_LARGE` The default icon font on western Windows Vista with 96dpi and the dialog font desktop setting "Large".
    `static Font` | `WINDOWS_VISTA_96DPI_NORMAL` The default icon font on western Windows Vista with 96dpi and the dialog font desktop setting "Normal".
    `static Font` | `WINDOWS_XP_120DPI_DEFAULT_GUI` The default GUI font on western Windows XP with 120dpi and the dialog font desktop setting "Normal".
    `static Font` | `WINDOWS_XP_120DPI_NORMAL` The default icon font on western Windows XP with 120dpi and the dialog font desktop setting "Normal".
    `static Font` | `WINDOWS_XP_96DPI_DEFAULT_GUI` The default GUI font on western Windows XP with 96dpi and the dialog font desktop setting "Normal".
    `static Font` | `WINDOWS_XP_96DPI_LARGE` The default icon font on western Windows XP with 96dpi and the dialog font desktop setting "Large".
    `static Font` | `WINDOWS_XP_96DPI_NORMAL` The default icon font on western Windows XP with 96dpi and the dialog font desktop setting "Normal".

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Font` | `getWindowsControlFont()` Looks up and returns the Windows control font.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAHOMA_NAME

          public static final String TAHOMA_NAME

      The name of the default dialog font on western Windows XP.
      See Also:
        Constant Field Values

    - #### SEGOE_UI_NAME

          public static final String SEGOE_UI_NAME

      The name of the default dialog font on western Windows Vista.
      See Also:
        Constant Field Values

    - #### TAHOMA_11PT

          public static final Font TAHOMA_11PT

      This is the default font on western XP with 96dpi and normal fonts. Ascent=11, descent=3, height=14, dbuX=6, dbuY=12, 14dluY=21px.

    - #### TAHOMA_13PT

          public static final Font TAHOMA_13PT

      Ascent=13, descent=3, height=16, dbuX=8, dbuY=13, 14dluY=22.75px.

    - #### TAHOMA_14PT

          public static final Font TAHOMA_14PT

      Ascent=14, descent=3, height=17, dbuX=8, dbuY=14, 14dluY=24.5px.

    - #### SEGOE_UI_12PT

          public static final Font SEGOE_UI_12PT

      This is Segoe UI 9pt, the default font on western Vista with 96dpi. Ascent=13, descent=4, height=17, dbuX=7, dbuY=13, 13dluY=21.125px.

    - #### SEGOE_UI_13PT

          public static final Font SEGOE_UI_13PT

      Ascent=14, descent=4, height=18, dbuX=8, dbuY=14, 13dluY=22.75px.

    - #### SEGOE_UI_15PT

          public static final Font SEGOE_UI_15PT

      Ascent=16, descent=5, height=21, dbuX=9, dbuY=16, 13dluY=26px.

    - #### WINDOWS_XP_96DPI_NORMAL

          public static final Font WINDOWS_XP_96DPI_NORMAL

      The default icon font on western Windows XP with 96dpi and the dialog font desktop setting "Normal".

    - #### WINDOWS_XP_96DPI_DEFAULT_GUI

          public static final Font WINDOWS_XP_96DPI_DEFAULT_GUI

      The default GUI font on western Windows XP with 96dpi and the dialog font desktop setting "Normal".

    - #### WINDOWS_XP_96DPI_LARGE

          public static final Font WINDOWS_XP_96DPI_LARGE

      The default icon font on western Windows XP with 96dpi and the dialog font desktop setting "Large".

    - #### WINDOWS_XP_120DPI_NORMAL

          public static final Font WINDOWS_XP_120DPI_NORMAL

      The default icon font on western Windows XP with 120dpi and the dialog font desktop setting "Normal".

    - #### WINDOWS_XP_120DPI_DEFAULT_GUI

          public static final Font WINDOWS_XP_120DPI_DEFAULT_GUI

      The default GUI font on western Windows XP with 120dpi and the dialog font desktop setting "Normal".

    - #### WINDOWS_VISTA_96DPI_NORMAL

          public static final Font WINDOWS_VISTA_96DPI_NORMAL

      The default icon font on western Windows Vista with 96dpi and the dialog font desktop setting "Normal".

    - #### WINDOWS_VISTA_96DPI_LARGE

          public static final Font WINDOWS_VISTA_96DPI_LARGE

      The default icon font on western Windows Vista with 96dpi and the dialog font desktop setting "Large".

    - #### WINDOWS_VISTA_120DPI_NORMAL

          public static final Font WINDOWS_VISTA_120DPI_NORMAL

      The default icon font on western Windows Vista with 120dpi and the dialog font desktop setting "Normal".

  - ### Method Detail

    - #### getWindowsControlFont

          public static Font getWindowsControlFont()

      Looks up and returns the Windows control font. Returns the Windows icon title font unless it is inappropriate for the Windows version.

      The icon title font scales with the resolution (96dpi, 101dpi, 120dpi, etc) and the desktop font size settings (normal, large, extra large). Older versions may return a poor font.

      Returns:
        the Windows control font
      Throws:
        `UnsupportedOperationException` - on non-Windows platforms

Copyright © 2001-2014 JGoodies Software GmbH. All Rights Reserved.